Summary: Amateur Station Tracking and Reporting system for amateur radio
Name:    xastir
Epoch:   1
Version: 1.9.4
Release: 10%{?dist}
License: GPLv2+
Group:   Applications/Internet
Source0: http://downloads.sourceforge.net/xastir/xastir-%{version}.tar.gz
Source1: %{name}.desktop
Source2: %{name}.png
Patch0:  xastir-1.9.4-libdir.patch
Patch1:  xastir-1.9.4-engunits.patch
URL:     http://www.xastir.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: wget
BuildRequires: wget, lesstif-devel, libXt-devel, festival, ImageMagick-devel
BuildRequires: dos2unix, libax25-devel, curl-devel, pcre-devel, proj-devel
BuildRequires: python-devel, shapelib-devel, gpsman, gdal-devel, db4-devel
BuildRequires: desktop-file-utils, xorg-x11-apps

%description
Xastir is a graphical application that interfaces HAM radio
and internet access to realtime mapping software.

Install XASTIR if you are interested in APRS(tm) and HAM radio
software.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .libdir
%patch1 -p1 -b .engunits

%build
#./bootstrap.sh
#aclocal
#autoheader
#autoconf
#automake -a -c
autoreconf -i -f
%configure --without-graphicsmagick --with-geotiff=/usr/include/libgeotiff
make %{?_smp_mflags}
for f in README ChangeLog ; do
    mv $f $f.iso88591
    iconv -o $f -f iso88591 -t utf8 $f.iso88591
    touch -r $f.iso88591 $f
    rm -f $f.iso88591
done
dos2unix -k scripts/toporama250k.pl 

%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}" INSTALL="install -p"
#fix wrong doc-path instalation in make install target
#or else we'll get unpacked files
rm -rf %{buildroot}/usr/share/doc
#remove gpx2shape because of unsupported dependency Geo::Shapelib
rm %{buildroot}/usr/share/xastir/gpx2shape
#the following two are not required and also could consider a potential risk #460429
rm %{buildroot}/usr/share/xastir/get-maptools.sh
rm %{buildroot}/usr/share/xastir/get_shapelib.sh
#strip exec bit from .pm files
find %{buildroot} -type f -name '*.pm' -exec chmod -x {} 2>/dev/null ';'
mkdir -p %{buildroot}/usr/share/pixmaps/
cp %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}



%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/xastir
%{_bindir}/xastir_udp_client
%{_bindir}/callpass
%{_mandir}/man1/xastir.*
%{_datadir}/xastir
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%doc AUTHORS ChangeLog COPYING DEBUG_LEVELS FAQ LICENSE
%doc README README.Contributing README.CVS README.Getting-Started
%doc README.MAPS README.win32 UPGRADE

%changelog
* Mon Aug 10 2009 Lucian Langa <cooly@gnome.eu.org> - 1:1.9.4-10
- update BR as xfontsel is in xorg-x11-apps package

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.9.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 16 2009 Lucian Langa <cooly@gnome.eu.org> - 1:1.9.4-8
- rebuilt against newer IM

* Tue Mar 10 2009 Lucian Langa <cooly@gnome.eu.org> - 1:1.9.4-7
- downgrade to the latest stable
- add patch for english units

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec 21 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.5-2
- patch for new IM

* Sun Dec 21 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.5-1
- cleanup desktop file
- drop engunits patch (fixed upstream)
- upgrade to devel version (FTBS with previous version)

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.9.4-6
- Rebuild for Python 2.6

* Tue Oct 07 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.4-5
- upstream patch, fix for #435762

* Sat Oct 05 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.4-4
- misc cleanups

* Sat Oct 04 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.4-3
- fix for RH #435762

* Mon Sep 08 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.4-2
- update Build requires

* Sun Sep 07 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.4-1
- new upstream 1.9.4
- drop wget and IM patch (fixed upstream)

* Sat Sep  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.9.2-10
- fix license tag
- fix spec up so it doesn't confuse license checking script

* Thu Aug 28 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-9
- drop uneeded and potential risky files

* Thu Jul 08 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-8
- Rebuild against newer db4 headers

* Thu Jun 06 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-7
- Rebuild against gpsman, festival, Berkley DB, gdal

* Thu May 18 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-6
- Patch for newer wget

* Thu May  5 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-5
- Update to newer ImageMagick

* Sat Mar  8 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-4
- Install correct xastir icon
- Misc cleanups
- Rebuild with wget support

* Sat Mar  2 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-3
- Added desktop and icon file

* Sat Feb 23 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-2
- Moved scripts from libdir to datadir

* Fri Feb 22 2008 Lucian Langa <cooly@gnome.eu.org> - 1.9.2-1
- Updated to Fedora Packaging specifications

* Thu Jul 03 2003 Alan Crosswell <n2ygk@weca.org>
- 1.2.1 my patches now integrated into the main trunk.

* Sat Jun 21 2003 Alan Crosswell <n2ygk@weca.org> 
- added xastir-maps.patch

* Mon Jun 16 2003 Alan Crosswell <n2ygk@weca.org> 
- 1.2.0

* Fri Jun 06 2003 Alan Crosswell <n2ygk@weca.org> 
- June 5 snapshot

* Thu May 15 2003 Alan Crosswell <n2ygk@weca.org> 
- start with chuck's spec file for 1.1.4

